View Issue Details

IDProjectCategoryView StatusLast Update
0000410Cinelerra-GG[All Projects] Featurepublic2020-04-11 09:33
ReporterPhyllisSmith Assigned Togoodguy  
PrioritynormalSeverityminorReproducibilityhave not tried
Status assignedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000410: Want the Drag box to come on and turn off the other one automatically
DescriptionFrom bt # 397, some suggestions about the Drag box.

"I think the drag button, when activated in one effect, should be deactivated in another, in a switched way. When I activate, a shutdown command is sent in all the effects that have this option. ...Drag mode is still a bit messy. That cinelerra does not remember the activation of Drag, and whenever the app is closed and opened, drag is disabled by default"

We are trying to work out a method for the Drag problem of only one allowed to be checked but have not come up with a way to make this work. It is a limitation on only one "grab" allowed.
TagsNo tags attached.

Activities

RafaMar

RafaMar

2020-04-11 09:33

reporter   ~0003159

hi @PhyllisSmith
Aid flags need to be explicit and not misleading.

This is a premise that, if it is fulfilled, makes it easier for new users to manage the application.

Moving on to another topic. Automatic translations are generally not very suitable in the audiovisual application environment. Cinelerra from what I see has been using this for the Spanish translation and in most cases it is not well understood.

I am improving as far as I can the faults that I am finding.

Today I found this effect like this
https://streamable.com/rryf0v
But I have fixed it
https://streamable.com/uh1q07
As always I will pass the file to you near the end of the month

Thank you very much.
PhyllisSmith

PhyllisSmith

2020-04-11 00:55

manager   ~0003156

@RafaMar
"Allow keyframe spanning" is less than obvious, but once you know what it is for, it makes more sense. GG and I have discussed re-wording the tooltip but can not agree on anything yet -- will keep trying to come up with something based on your suggestion.

Meanwhile, I have updated the Manual on the website to expound on what "allow keyframe spanning" is and what it is for. It is in Chapter 7 on Keyframes, section 7.10. In addition, the plugins in the Plugins chapter that have the Drag button, now have references to "allow keyframe spanning". This includes BoxBlur, CriKey, Sketcher, Title, and Tracer. I believe that FindObj and Cuda Mandelbrot should have this included also but I did not test them yet.
RafaMar

RafaMar

2020-04-09 11:37

reporter   ~0003144

@IgorBeg @phyllisSmith following with offTopic
I didn't know what the upward facing key icon was for.
And the explanation that appeared on the flag, when the mouse rests on it, did not clarify anything for me, much less its automatic translation into Spanish.
I use cinelerra in English, only in Spanish to make tutorials.
I did not understand "Allow keyframe spanning", I looked in the (old) manual and I did not find anything, googled, and I did not find anything.
Until Phyllis did not explain to me what this tool was for, I did not know how to use it.
If from the beginning in English your flag had carried a description like "Edit value to all selected keyframes" I would immediately, without the need for anyone explaining it to me, would have understood. Even the automatic translation of this text is very correct in Spanish.
@IgorBeg your proposal seems good to me, but activating "Drag" that I would call "Edit Mode", but this is indifferent. A reference box is displayed. But I think your proposal is very good to facilitate the viewing of the effect without having to activate "drag"
IgorBeg

IgorBeg

2020-04-09 09:44

reporter   ~0003143

If I can,
I suggest to enable Drag checkbox, and then to show the boundary drag in Compositor canvas, every time I open the BoxBlur tool window. So I can see where the blur effect is applied if the area is too narrow (little). More or less as occur with Camera and Projector tools.
RafaMar

RafaMar

2020-04-09 09:33

reporter   ~0003141

For those who do not like to read long texts, I simply want to indicate that the idea of @Adrea_Paz is very good.
And that Good Guys just did a very good job with the Drag parameter, thanks to @PhyllisSmith
RafaMar

RafaMar

2020-04-09 09:26

reporter   ~0003140

Thank you very much @PhyllisSmith, precisely this icon was still a mystery to me. Every day I learn things from Cinelerra thanks to all of you. And this will be very useful to my readers, knowing that with this icon you can easily deactivate this.

Precisely in the sketcher effect, sometimes it may be interesting that the marks of the points appear in the render, I like this, but other times not. I am going to make a tutorial on this effect to trace animated routes on maps shortly. Now you can imagine how useful what you just explained about "Allow keyframe spanning" will be. Because in the old manual it did not explain this. In the new I have not yet consulted.

*I just tested dragging with the version you indicate. Now this works wonderfully. Now it is very comfortable, logical and easy for users. My most sincere congratulations. Nice job.*

Thank you also very much @Andrea_Paz because you just improved my idea in a very elegant way. This that you indicate would be a dream come true and with it Cinelerra would have an effective tool to hide objects or faces, even in movement, very quickly and directly on the clip itself without having to duplicate to put masks. That these are very good for precision work. But sometimes we don't need this precision.

Commenting that Box Blur is very good, the blur effects have always consumed many resources, and this one precisely works in a very effective way and with hardly any resources, it has surprised me a lot. THANK YOU THANK YOU THANK YOU. I am highly recommending Cinelerra. And I always say that Cinelerra is very good, but that his team is even better.
Andrea_Paz

Andrea_Paz

2020-04-09 07:31

updater   ~0003139

With reference to tickets 0000405 and 0000397; about Rafa Mar's request to have pixellation as well as blur in the box.
You might think about radically changing the BoxBlur plugin by addressing it only to censorship rectangles. You should have 3 modes: blur the rectangle (like now); pixellate the rectangle (Rafa Mar) and create a solid color in the rectangle (i.e. black).
PhyllisSmith

PhyllisSmith

2020-04-09 03:04

manager   ~0003138

The Drag box grab code has been updated and checked into GIT. Now, if you try to enable Drag and it is already enabled elsewhere, it will be disabled automatically there and enabled in the new place. If you have a menu up and Drag enabled and then bring up another menu that previously had Drag enabled, the menu up will be disabled and the new pop up menu will maintain its Drag box.

A test Mint 19.3 static tar is at:
https://cinelerra-gg.org/download/testing/cinelerra-5.1-mint19-x86_64-static.txz
PhyllisSmith

PhyllisSmith

2020-04-09 00:52

manager   ~0003136

@RafaMar
I am sorry that I did not respond to "drag animation" concern earlier, but I did not understand what you were talking about. There is a very easy way to turn off the drag once you are done with your keyframe set up.

1. in Cut and Paste mode, highlight the video where all of the keyframes are that have drag enabled (to select area, hold down LMB and drag)
2. turn on "Allow keyframe spanning" - this is the icon symbol to the right of "Generate keyframes while tweaking"
3. with the BoxBlur menu up, simply uncheck Drag
Voila! all of the drag boxes are now off
RafaMar

RafaMar

2020-04-08 23:27

reporter   ~0003135

This would be a very good solution. That when I enable drag in an effect, all the others are turned off.
And what is giving me extra work is that drag animates with keyframes. I think it would also be very positive, and would save a lot of work excluding drag from animation.
These days I am playing with the drawing tool and it is very tedious to have to go keyframe to keyframe deactivating drag.
Thank you very much @PhyllisSmith for opening the tiket

Issue History

Date Modified Username Field Change
2020-04-08 22:56 PhyllisSmith New Issue
2020-04-08 22:57 PhyllisSmith Assigned To => goodguy
2020-04-08 22:57 PhyllisSmith Status new => assigned
2020-04-08 23:27 RafaMar Note Added: 0003135
2020-04-09 00:52 PhyllisSmith Note Added: 0003136
2020-04-09 03:04 PhyllisSmith Note Added: 0003138
2020-04-09 07:31 Andrea_Paz Note Added: 0003139
2020-04-09 09:26 RafaMar Note Added: 0003140
2020-04-09 09:33 RafaMar Note Added: 0003141
2020-04-09 09:44 IgorBeg Note Added: 0003143
2020-04-09 11:37 RafaMar Note Added: 0003144
2020-04-11 00:55 PhyllisSmith Note Added: 0003156
2020-04-11 09:33 RafaMar Note Added: 0003159